Bug 1291869 - spec files uses /var/lock instead of /var/lock/lockdev
spec files uses /var/lock instead of /var/lock/lockdev
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: hylafax+ (Show other bugs)
epel7
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lee Howard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 14:04 EST by giulioo
Modified: 2016-01-14 08:27 EST (History)
1 user (show)

See Also:
Fixed In Version: hylafax+-5.5.7-1.fc23 hylafax+-5.5.7-1.fc22 hylafax+-5.5.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 14:56:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giulioo 2015-12-15 14:04:29 EST
Description of problem:
Spec files uses /var/lock instead of /var/lock/lockdev.

Version-Release number of selected component (if applicable):
https://dl.fedoraproject.org/pub/epel/7/SRPMS/h/hylafax+-5.5.6-1.el7.src.rpm

How reproducible:
Always

Steps to Reproduce:
Look into spec file.

Actual results:
 --with-DIR_LOCKS=/var/lock 

Expected results:
 --with-DIR_LOCKS=/var/lock/lockdev

Additional info:
AFAIK RHEL7 and Fedora >=16 switched from /var/lock to /var/lock/lockdev

RHEL7's mgetty uses liblockdev and puts lock files in /var/lock/lockdev
Comment 1 Lee Howard 2015-12-15 18:21:38 EST
I've updated the spec file with:

-----------------------
diff --git a/hylafax+.spec b/hylafax+.spec
index 2bec754..45b8247 100644
--- a/hylafax+.spec
+++ b/hylafax+.spec
@@ -1,5 +1,10 @@
 %global faxspool    /var/spool/hylafax
 %global _hardened_build 1
+%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
+%global lockdir    /var/lock/lockdev
+%else
+%global lockdir    /var/lock
+%endif
 
 Summary:   An enterprise-strength fax server
 Name:      hylafax+
@@ -89,7 +94,7 @@ STRIP=':' \
         --with-DIR_LIB=%{_libdir} \
         --with-DIR_LIBEXEC=%{_sbindir} \
         --with-DIR_LIBDATA=%{_sysconfdir}/hylafax \
-        --with-DIR_LOCKS=/var/lock \
+        --with-DIR_LOCKS=%{lockdir} \
         --with-LIBDIR=%{_libdir} \
         --with-TIFFBIN=%{_bindir} \
         --with-DIR_MAN=%{_mandir} \
-----------------------

This will be in the next release... which I expect to happen in the next two weeks.
Comment 2 Fedora Update System 2015-12-28 14:29:31 EST
hylafax+-5.5.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-46ed86440f
Comment 3 Fedora Update System 2015-12-28 14:30:22 EST
hylafax+-5.5.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9ae379af47
Comment 4 Fedora Update System 2015-12-28 14:30:58 EST
hylafax+-5.5.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-431d6df24e
Comment 5 Fedora Update System 2015-12-30 13:51:37 EST
hylafax+-5.5.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-431d6df24e
Comment 6 Fedora Update System 2015-12-30 14:22:44 EST
hylafax+-5.5.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9ae379af47
Comment 7 Fedora Update System 2015-12-30 22:21:43 EST
hylafax+-5.5.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-46ed86440f
Comment 8 Fedora Update System 2016-01-07 14:55:55 EST
hylafax+-5.5.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-07 22:21:05 EST
hylafax+-5.5.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-14 08:27:35 EST
hylafax+-5.5.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.